//==========================================================
// Класс point
class point
{
public:
	// Функция Clear объявляется дружественной классу point
	friend void point::Clear(point*); 

	// Интерфейс класса...
private:
	int	m_x;
	int	m_y;
};

//==========================================================
// Функция Clear
void Clear(point* ptrPoint) 
{
	// Обращаемся к элементам класса, объявленным как private
	ptrPoint->m_x = 0;
	ptrPoint->m_y = 0;
	return;
}

//==========================================================
// Главная функция
void main() 
{
	point pointTestPoint;

	// Вызываем дружественную функцию
	Clear(&pointTestPoint);
}
